> ## Documentation Index
> Fetch the complete documentation index at: https://agentrail.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a feedback report: what you tried, what happened, and what was confusing or missing



## OpenAPI

````yaml /api-reference/openapi.json post /v1/feedback/{slug}/reports
openapi: 3.0.3
info:
  title: Agentrail API
  version: 0.0.0
servers: []
security: []
tags:
  - name: Leaderboard
  - name: Feedback
paths:
  /v1/feedback/{slug}/reports:
    post:
      tags:
        - Feedback
      summary: >-
        Send a feedback report: what you tried, what happened, and what was
        confusing or missing
      operationId: submitFeedbackReport
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 64
          in: path
          name: slug
          required: true
        - schema:
            type: string
            pattern: ^\d{1,12}$
          in: header
          name: feedback-timestamp
          required: false
        - schema:
            type: string
            pattern: ^[0-9a-f]{64}$
          in: header
          name: feedback-signature
          required: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                observation:
                  type: string
                  minLength: 10
                  maxLength: 4000
                goal:
                  type: string
                  minLength: 1
                  maxLength: 500
                outcome:
                  type: string
                  enum:
                    - succeeded
                    - friction
                    - blocked
                category:
                  type: string
                  enum:
                    - documentation
                    - missing_capability
                    - error
                    - confusing_output
                    - access
                    - other
                reference:
                  type: string
                  minLength: 1
                  maxLength: 200
                surface:
                  type: string
                  enum:
                    - web
                    - api
                    - mcp
                    - cli
                    - other
                productVersion:
                  type: string
                  minLength: 1
                  maxLength: 64
                requestReference:
                  type: string
                  minLength: 1
                  maxLength: 128
                agent:
                  type: string
                  minLength: 1
                  maxLength: 200
                invite:
                  type: string
                  minLength: 1
                  maxLength: 64
                metadata:
                  type: object
                  additionalProperties:
                    anyOf:
                      - type: string
                        maxLength: 500
                      - type: number
                      - type: boolean
                      - type: string
                        nullable: true
                        enum:
                          - null
              required:
                - observation
              additionalProperties: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  receivedAt:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                  repeat:
                    type: boolean
                  message:
                    type: string
                    minLength: 1
                required:
                  - id
                  - receivedAt
                  - repeat
                  - message
                additionalProperties: false
        '201':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  receivedAt:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                  repeat:
                    type: boolean
                  message:
                    type: string
                    minLength: 1
                required:
                  - id
                  - receivedAt
                  - repeat
                  - message
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '409':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '413':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '422':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '429':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '502':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '503':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
      security: []
      servers:
        - url: https://feedback.agentrail.co

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.